@echo off

rem  Author / Auteur	KMS - Martin Dubois, ing.
rem  Product / Produit	KmsTools
rem  File / Fichier		Scripts/Install.cmd
rem  Usage / Usage		Install.cmd

echo  Executing de Install.cmd ...

rem  ===== Verification =====================================================

set DST="C:\Software\CodeDiag"
if exist "%DST%" (
    rmdir /Q /S "%DST%"
)

set INST_UTIL="InstUtil.exe"
rem  KmsCopy verify the file exist / KmsCopy verifie que le fichier existe.

set INSTALL_CMD_TXT="Install.cmd.txt"
if not exist %INSTALL_CMD_TXT% (
	echo  FATAL ERROR : %INSTALL_CMD_TXT% does not exist
	pause
	exit /B 1
)

set KMS_COPY="KmsCopy.exe"
if not exist %KMS_COPY% (
	echo  FATAL ERROR : %KMS_COPY% does not exist
	pause
	exit /B 2
)

rem  ===== Execution ========================================================

%KMS_COPY% . %DST% %INSTALL_CMD_TXT%
if ERRORLEVEL 1 (
	echo  FATAL ERROR : %KMS_COPY% reported an error
	pause
	exit /B 3
)

pushd %DST%

%INST_UTIL%
if ERRORLEVEL 1 (
	echo  ERROR : %INST_UTIL% reported an error
	pause
	exit /B 4
)

popd

rem  ===== End / Fin ========================================================

echo  OK!
